# $Revision: 1.20 $, $Date: 2011/12/09 19:02:26 $
Summary:	GObject-based SSDP (Simple Service Discovery Protocol) library
Summary(pl.UTF-8):	Biblioteka SSDP (Simple Service Discovery Protocol) oparta na GObject
Name:		gssdp
# note: 0.12.x is stable, 0.13.x unstable
Version:	0.12.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gssdp/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	e7ac04abe7349a89d13d0ab4ee7d2e1b
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.22
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libsoup-devel >= 2.26.1
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.22
Requires:	gtk+2 >= 2:2.12.0
Requires:	libsoup >= 2.26.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSSDP is a GObject-based API that implements resource discovery and
announcement over SSDP (Simple Service Discovery Protocol).

%description -l pl.UTF-8
GSSDP to oparte na bibliotece GObject API implementujące wykrywanie i
rozgłaszanie zasobów przy użyciu protokołu SSDP (Simple Service
Discovery Protocol).

%package devel
Summary:	Header files for GSSDP
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GSSDP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.22
Requires:	libsoup-devel >= 2.26.1

%description devel
This package contains header files for GSSDP library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki GSSDP.

%package static
Summary:	Static GSSDP library
Summary(pl.UTF-8):	Statyczna biblioteka GSSDP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GSSDP library.

%description static -l pl.UTF-8
Statyczna biblioteka GSSDP.

%package apidocs
Summary:	GSSDP API documentation
Summary(pl.UTF-8):	Dokumentacja API GSSDP
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GSSDP API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GSSDP.

%prep
%setup -q

%build
mkdir m4
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gssdp-device-sniffer
%attr(755,root,root) %{_libdir}/libgssdp-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgssdp-1.0.so.3
%{_libdir}/girepository-1.0/GSSDP-1.0.typelib
%{_datadir}/gssdp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgssdp-1.0.so
%{_datadir}/gir-1.0/GSSDP-1.0.gir
%{_includedir}/gssdp-1.0
%{_pkgconfigdir}/gssdp-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgssdp-1.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gssdp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gssdp.spec,v $
Revision 1.20  2011/12/09 19:02:26  wiget
- up to 0.12.1

Revision 1.19  2011/10/30 09:14:52  qboosh
- updated am version

Revision 1.18  2011/10/29 10:26:53  megabajt
- updated to 0.12.0 (new soname)

Revision 1.17  2011/05/31 18:45:51  qboosh
- runtime libsoup dependency; glib2/gtk+2 versions consistent with configure checks

Revision 1.16  2011/05/26 20:14:51  megabajt
- updated to 0.10.0

Revision 1.15  2011/04/02 18:57:52  megabajt
- drop libtool file
- release 2

Revision 1.14  2011/02/04 19:46:27  qboosh
- updated to 0.8.2

Revision 1.13  2011/01/27 21:16:40  sparky
- BR: docbook-dtd412-xml

Revision 1.12  2010/10/31 09:40:34  megabajt
- updated to 0.8.0

Revision 1.11  2010/06/20 11:05:39  megabajt
- updated to 0.7.2

Revision 1.10  2009/12/28 21:18:34  megabajt
- updated to 0.7.1

Revision 1.9  2009/11/07 16:11:28  megabajt
- updated to 0.7.0 (new soname)

Revision 1.8  2009/03/18 23:40:31  megabajt
- updated to 0.6.4

Revision 1.7  2008/08/31 21:15:37  patrys
- 0.6.2

Revision 1.6  2008/06/28 20:09:08  arekm
- release 2

Revision 1.5  2008-05-14 09:40:59  patrys
- 0.6

Revision 1.4  2008-03-13 21:16:15  arekm
- rel 2

Revision 1.3  2007-08-03 19:53:59  qboosh
- pl, cleanup, more BRs, fixed License

Revision 1.2  2007/07/29 19:33:38  aredridel
- fix perms on commandline tool

Revision 1.1  2007/07/29 19:22:51  aredridel
- added
